Skip to content

Update a worklog ​

PATCH/api/v1/workspaces/{workspace_slug}/projects/{project_id}/work-items/{work_item_id}/worklogs/{worklog_id}/

Update a worklog entry on a work item.

Path parameters ​

work_item_id:requiredstring

The unique identifier of the work item.

worklog_id:requiredstring

The unique identifier of the worklog.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

description:optionalstring

The worklog's description.

duration:optionalinteger

Time spent, in minutes.

created_by:optionalstring

ID of the user who created the worklog.

updated_by:optionalstring

ID of the user who last updated the worklog.

Scopes ​

projects.work_items.worklogs:write

Update a worklog
bash
curl -X PATCH \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/work-items/work-item-uuid/worklogs/worklog-uuid/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "Example description",
  "duration": 1,
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000"
}'
Response200
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "created_at": "2024-01-01T00:00:00Z",
  "updated_at": "2024-01-01T00:00:00Z",
  "description": "Example description",
  "duration": 1,
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000",
  "project_id": "550e8400-e29b-41d4-a716-446655440000",
  "workspace_id": "550e8400-e29b-41d4-a716-446655440000",
  "logged_by": "550e8400-e29b-41d4-a716-446655440000"
}